Debian Bug report logs - #447396
git-am does not support maildir created by mutt

version graph

Package: git-core; Maintainer for git-core is Gerrit Pape <pape@smarden.org>; Source for git-core is src:git.

Reported by: Joey Hess <joeyh@debian.org>

Date: Sat, 20 Oct 2007 17:45:01 UTC

Severity: normal

Tags: patch

Found in version git-core/1:1.5.3.4-1

Fixed in version git-core/1:1.5.3.6-1

Done: Gerrit Pape <pape@smarden.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#447396; Package git-core. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Gerrit Pape <pape@smarden.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: git-am does not support maildir created by mutt
Date: Sat, 20 Oct 2007 13:42:56 -0400
[Message part 1 (text/plain, inline)]
Package: git-core
Version: 1:1.5.3.4-1
Severity: normal

I don't know if this is a general problem with maildirs, or only
maildirs created by mutt. ~/patches/ is a maildir I created from mutt by
saving a patch mail there.

joey@kodama:~/src/foo>git-am ~/patch                 
Nothing to do.
joey@kodama:~/src/foo>git-am ~/patch/new/1192901680.7144_1.kodama:2,R 

Applying Add support for mercurial
....

According the the man page, it's supposed to support maildirs, so I
shouldn't have to point it at the message inside the maildir to get it
to do something.

Hmm, based on running git-am set -x, it seems that the real problem
is probably git-mailsplit:

joey@kodama:~/src/foo>git mailsplit -d4 -o.dotest -b -- /home/joey/patch/
0

Stracing git-mailsplit, I see it look inside the maildir and somehow
not find the message:

stat64("/home/joey/patch/", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
open("/home/joey/patch//cur", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = 5
fstat64(5, {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
fcntl64(5, F_SETFD, FD_CLOEXEC)         = 0
brk(0)                                  = 0x8115000
brk(0x8137000)                          = 0x8137000
getdents64(5, /* 2 entries */, 4096)    = 48
getdents64(5, /* 0 entries */, 4096)    = 0
brk(0x8136000)                          = 0x8136000
close(5)                                = 0
fstat64(1, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 3), ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7fd6000
write(1, "0\n", 20

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages git-core depends on:
ii  cpio                    2.9-4            GNU cpio -- a program to manage ar
ii  libc6                   2.6.1-5          GNU C Library: Shared libraries
ii  libcurl3-gnutls         7.17.0-1         Multi-protocol file transfer libra
ii  libdigest-sha1-perl     2.11-2           NIST SHA-1 message digest algorith
ii  liberror-perl           0.15-8           Perl module for error/exception ha
ii  libexpat1               1.95.8-4         XML parsing C library - runtime li
ii  perl-modules            5.8.8-11         Core Perl modules
ii  zlib1g                  1:1.2.3.3.dfsg-6 compression library - runtime

Versions of packages git-core recommends:
ii  curl                         7.17.0-1    Get a file from an HTTP, HTTPS or 
ii  git-doc                      1:1.5.3.4-1 fast, scalable, distributed revisi
ii  less                         408-2       Pager program similar to more
ii  openssh-client [ssh-client]  1:4.6p1-5   secure shell client, an rlogin/rsh
ii  patch                        2.5.9-4     Apply a diff file to an original
ii  rsync                        2.6.9-5     fast remote file copy program (lik

-- no debconf information

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#447396; Package git-core. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. Full text and rfc822 format available.

Message #10 received at 447396@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 447396@bugs.debian.org
Subject: Re: Bug#447396: git-am does not support maildir created by mutt
Date: Sat, 20 Oct 2007 14:13:46 -0400
[Message part 1 (text/plain, inline)]
Joey Hess wrote:
> stat64("/home/joey/patch/", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
> open("/home/joey/patch//cur", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = 5

On seconds thought, I see the bug clearly enough.. it looks in cur/ but
not in new/!

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#447396; Package git-core. Full text and rfc822 format available.

Acknowledgement sent to 447396@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. Full text and rfc822 format available.

Message #15 received at 447396@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: Joey Hess <joeyh@debian.org>, 447396@bugs.debian.org
Subject: Re: Bug#447396: git-am does not support maildir created by mutt
Date: Fri, 9 Nov 2007 10:51:18 +0000
tags 447396 + patch
quit

On Sat, Oct 20, 2007 at 02:13:46PM -0400, Joey Hess wrote:
> Joey Hess wrote:
> > stat64("/home/joey/patch/", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
> > open("/home/joey/patch//cur", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = 5
> 
> On seconds thought, I see the bug clearly enough.. it looks in cur/ but
> not in new/!

http://git.kernel.org/?p=git/git.git;a=commitdiff;h=d50a4bc4e91f03cecc337e5e95dc4c0e0a4054f0

Regards, Gerrit.




Tags added: patch Request was from Gerrit Pape <pape@smarden.org> to control@bugs.debian.org. (Fri, 09 Nov 2007 10:54:04 GMT) Full text and rfc822 format available.

Reply sent to Gerrit Pape <pape@smarden.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 447396-close@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: 447396-close@bugs.debian.org
Subject: Bug#447396: fixed in git-core 1:1.5.3.6-1
Date: Mon, 19 Nov 2007 20:47:09 +0000
Source: git-core
Source-Version: 1:1.5.3.6-1

We believe that the bug you reported is fixed in the latest version of
git-core, which is due to be installed in the Debian FTP archive:

git-arch_1.5.3.6-1_all.deb
  to pool/main/g/git-core/git-arch_1.5.3.6-1_all.deb
git-core_1.5.3.6-1.diff.gz
  to pool/main/g/git-core/git-core_1.5.3.6-1.diff.gz
git-core_1.5.3.6-1.dsc
  to pool/main/g/git-core/git-core_1.5.3.6-1.dsc
git-core_1.5.3.6-1_amd64.deb
  to pool/main/g/git-core/git-core_1.5.3.6-1_amd64.deb
git-core_1.5.3.6.orig.tar.gz
  to pool/main/g/git-core/git-core_1.5.3.6.orig.tar.gz
git-cvs_1.5.3.6-1_all.deb
  to pool/main/g/git-core/git-cvs_1.5.3.6-1_all.deb
git-daemon-run_1.5.3.6-1_all.deb
  to pool/main/g/git-core/git-daemon-run_1.5.3.6-1_all.deb
git-doc_1.5.3.6-1_all.deb
  to pool/main/g/git-core/git-doc_1.5.3.6-1_all.deb
git-email_1.5.3.6-1_all.deb
  to pool/main/g/git-core/git-email_1.5.3.6-1_all.deb
git-gui_1.5.3.6-1_all.deb
  to pool/main/g/git-core/git-gui_1.5.3.6-1_all.deb
git-svn_1.5.3.6-1_all.deb
  to pool/main/g/git-core/git-svn_1.5.3.6-1_all.deb
gitk_1.5.3.6-1_all.deb
  to pool/main/g/git-core/gitk_1.5.3.6-1_all.deb
gitweb_1.5.3.6-1_all.deb
  to pool/main/g/git-core/gitweb_1.5.3.6-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 447396@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gerrit Pape <pape@smarden.org> (supplier of updated git-core package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 19 Nov 2007 12:32:11 +0000
Source: git-core
Binary: git-email git-core git-daemon-run git-doc git-cvs git-svn gitk gitweb git-arch git-gui
Architecture: source all amd64
Version: 1:1.5.3.6-1
Distribution: unstable
Urgency: low
Maintainer: Gerrit Pape <pape@smarden.org>
Changed-By: Gerrit Pape <pape@smarden.org>
Description: 
 git-arch   - fast, scalable, distributed revision control system (arch interop
 git-core   - fast, scalable, distributed revision control system
 git-cvs    - fast, scalable, distributed revision control system (cvs interope
 git-daemon-run - fast, scalable, distributed revision control system (git-daemon s
 git-doc    - fast, scalable, distributed revision control system (documentatio
 git-email  - fast, scalable, distributed revision control system (email add-on
 git-gui    - fast, scalable, distributed revision control system (GUI)
 git-svn    - fast, scalable, distributed revision control system (svn interope
 gitk       - fast, scalable, distributed revision control system (revision tre
 gitweb     - fast, scalable, distributed revision control system (web interfac
Closes: 428418 446495 447396 448655
Changes: 
 git-core (1:1.5.3.6-1) unstable; urgency=low
 .
   * debian/implicit: add proper dependencies to support 'parallel build'
     through make -j (thx Daniel Schepler for the patch).
   * debian/rules: support 'nocheck' in DEB_BUILD_OPTIONS to skip running
     the selftests.
   * debian/diff/0003-bug-448655-check-etc-mailname-if-author-email-is-un.diff:
     new; check /etc/mailname if author email is unknown (closes: #448655).
   * debian/gitweb.docs: new; install gitweb/README.
   * new upstream point release.
     * git-cvsimport: really convert underscores in branch names to dots with
       -u (closes: #446495).
     * git-mailsplit: with maildirs not only process cur/, but also new/
       (closes: #447396).
   * debian/diff/0004-contrib-hooks-post-receive-email-make-subject-prefix.diff:
     new; cherry-pick'ed from master: contrib/hooks/post-receive-email: make
     subject prefix configurable (closes: #428418).
Files: 
 3434dcf09923c4c051fb42dfc2a4ce16 795 devel optional git-core_1.5.3.6-1.dsc
 37126a4eb247b491b29e768fd25bfee8 1607263 devel optional git-core_1.5.3.6.orig.tar.gz
 fbe7434316a8c669508570eb7d9579f5 168343 devel optional git-core_1.5.3.6-1.diff.gz
 6f3fc3ee4fe6c9629a83228fc6728fee 4340016 devel optional git-core_1.5.3.6-1_amd64.deb
 3195f1f471a3bccf1ed06d720df1c667 985990 doc optional git-doc_1.5.3.6-1_all.deb
 f2af0a397df4614d39c3a4a7d30ff763 168314 devel optional git-arch_1.5.3.6-1_all.deb
 5d5006fa7e0a8897fa85a8981e044c37 198800 devel optional git-cvs_1.5.3.6-1_all.deb
 d19482875de32f12815e31db0d85b883 208418 devel optional git-svn_1.5.3.6-1_all.deb
 a014ab663246d737dfddde42cb49bdd3 154956 devel optional git-daemon-run_1.5.3.6-1_all.deb
 5b01e38e8d748f5b56b01554d6ce9b84 163852 devel optional git-email_1.5.3.6-1_all.deb
 52afd8223b8ddc49e64002f6f84bfdb1 239072 devel optional git-gui_1.5.3.6-1_all.deb
 a09de258d3c256b39d26a889ce30c027 209010 devel optional gitk_1.5.3.6-1_all.deb
 07ba2378b44c06f39a3c0babe8fc03ba 198892 devel optional gitweb_1.5.3.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHQecavGr7W6HudhwRAmnCAKCSTJm+sU3d0oxCwXmHtqSQi0azcACbBtHi
IiRaYvxo6r0ksDC0W5m4608=
=lDcl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Dec 2007 07:30:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:08:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.